/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms 
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, 
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, 
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
   
Each recipient is solely responsible for determining the 
appropriateness of using and distributing this program and assumes 
all risks associated with its exercise of rights under the Common 
Public License, including but not limited to the risks and 
costs of program errors, compliance with applicable laws, 
damage to or loss of data, programs or equipment, and 
unavailability or interruption of operations.

********************************************************************/
#if !defined(AFX_TESTPANE_H__CA296BA7_5F60_4FF4_83BE_75946444DB4B__INCLUDED_)
#define AFX_TESTPANE_H__CA296BA7_5F60_4FF4_83BE_75946444DB4B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TestPane.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTestPane dialog
#include "SctsDevManTestEngine.h"

class CTestPane : public CDialog
{
// Construction
public:
	CImageList imgList;
	CTestPane(SctsDMTester *_tester,CWnd* pParent = NULL);   // standard constructor
	SctsDMTester *tester;
	void Refresh();
	void SelectTestGroup(int id);
	void GroupSelected();
	LRESULT TestComplete(WPARAM wParam,LPARAM lParam);
	


// Dialog Data
	//{{AFX_DATA(CTestPane)
	enum { IDD = IDD_TESTPANE };
	CListCtrl	m_list;
	CListCtrl	m_grouplist;
	CString	m_desc;
	CString	m_state;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTestPane)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTestPane)
	virtual BOOL OnInitDialog();
	afx_msg void OnItemchangedTestgrouplist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDestroy();
	afx_msg void OnTesttest();
	afx_msg void OnItemchangedTestlist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnTesterrors();
	afx_msg void OnDblclkTestgrouplist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnTeststop();
	afx_msg void OnTestreset();
	afx_msg void OnTestreport();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TESTPANE_H__CA296BA7_5F60_4FF4_83BE_75946444DB4B__INCLUDED_)
